> For the complete documentation index, see [llms.txt](https://verify-doc.tiller-verify.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://verify-doc.tiller-verify.com/verify-api/endpoints/api-reference/authentication.md).

# Authentication

The Verify by Tiller API employs a secure authentication mechanism to ensure that only authorised users can access the API. This section covers everything you need to know about obtaining and using authentication tokens to interact with the Verify by Tiller API.

## Obtaining your Token

To obtain an authentication token, you will need to make a POST request to our authentication endpoint with your user credentials.&#x20;

:exclamation:It is important that the user credentials have been given the correct permissions. Please contact <support@tillertech.com> to request the API permissions be added to the user profile.

Here's a step-by-step guide:

1\) Ensure that your user credentials have API permissions. If you are unsure, contact <support@tillertech.com>.

2\) Send a POST request with your user credentials in the request body. Use 'password' in the grant type.

{% openapi src="/files/d3yB4cFl16j0xlR4QP71" path="/ext/authentications/token" method="post" %}
[TillerTechnologies-verify-api-v1-oas3.json](https://content.gitbook.com/content/0zS5rWXn6QhdPJuSHu9k/blobs/QIqANJoV2sVgHqFFWsfb/TillerTechnologies-verify-api-v1-oas3.json)
{% endopenapi %}

After successfully authenticating, you will receive a JSON response containing your '*access\_token'*. This token must be included in the Authorization header of your subsequent API requests. It should be included as a Bearer token.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://verify-doc.tiller-verify.com/verify-api/endpoints/api-reference/authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
